Subject: Re: [PATCH v2 3/4] config: factor out global config file retrieval

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Jan 2024 15:04:08 -0800

Patrick Steinhardt <[email-masked]> writes:

> Yeah, you're right that `git_system_config()` is bad in the same way. In
> fact I think it's worse here because we have both `git_config_system()`
> and `git_system_config()`, which has certainly confused me multiple
> times in the past. So I'd be happy to see it renamed, as well, either
> now or in a follow-up patch series.

OK, let's make a note #leftoverbits here and merge the topic down to
'next'.  By the time it graduates to 'master', we may have a clean-up
patch to rename them.

Thanks, all.